## org.omg.DynamicAny
Class DynValueBoxHelper

    java.lang.Object
      |
      +--org.omg.DynamicAny.DynValueBoxHelper

public class DynValueBoxHelper
extends java.lang.Object

Helper class for : DynValueBox

Author:
  OpenORB Compiler

Constructor Summary
`DynValueBoxHelper()`

Method Summary
`static DynValueBox` `extract(Any a)` Extract DynValueBox from an any
`static java.lang.String` `id()` Return the DynValueBox IDL ID
`static void` `insert(Any a, DynValueBox t)` Insert DynValueBox into an any
`static DynValueBox` `narrow(Object obj)` Narrow CORBA::Object to DynValueBox
`static DynValueBox` `read(InputStream istream)` Read DynValueBox from a marshalled stream
`static TypeCode` `type()` Return the DynValueBox TypeCode
`static DynValueBox` `unchecked_narrow(Object obj)` Unchecked Narrow CORBA::Object to DynValueBox
`static void` `write(OutputStream ostream, DynValueBox value)` Write DynValueBox into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DynValueBoxHelper

    public DynValueBoxHelper()

Method Detail

### insert

    public static void insert(Any a,
                              DynValueBox t)

  Insert DynValueBox into an any
  Parameters:
    `a` - an any
    `t` - DynValueBox value

### extract

    public static DynValueBox extract(Any a)

  Extract DynValueBox from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted DynValueBox value

### type

    public static TypeCode type()

  Return the DynValueBox TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the DynValueBox IDL ID
  Returns:
    an ID

### read

    public static DynValueBox read(InputStream istream)

  Read DynValueBox from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed DynValueBox value

### write

    public static void write(OutputStream ostream,
                             DynValueBox value)

  Write DynValueBox into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - DynValueBox value

### narrow

    public static DynValueBox narrow(Object obj)

  Narrow CORBA::Object to DynValueBox
  Parameters:
    `obj` - the CORBA Object
  Returns:
    DynValueBox Object

### unchecked_narrow

    public static DynValueBox unchecked_narrow(Object obj)

  Unchecked Narrow CORBA::Object to DynValueBox
  Parameters:
    `obj` - the CORBA Object
  Returns:
    DynValueBox Object